Bug 1375183 - Backport patches to allow Net::SSLeay to support TLSv1.1, TLSv1.2
Summary: Backport patches to allow Net::SSLeay to support TLSv1.1, TLSv1.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl-Net-SSLeay
Version: 6.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Matus Marhefka
URL:
Whiteboard:
Depends On: 1325407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-12 12:29 UTC by Marcel Kolaja
Modified: 2020-12-14 07:44 UTC (History)
9 users (show)

Fixed In Version: perl-Net-SSLeay-1.35-10.el6_8.1
Doc Type: Enhancement
Doc Text:
Feature: Support explicitly specifying protocol versions TLSv1.1 or TLSv1.2 via the Net::SSLeay::ssl_version variable when using Net::SSLeay Perl module. Reason: Restricting TLS to recent TLS version is necessary for tightening security. Result: It's possible to restrict TLS version to 1.1 version by setting Net::SSLeay::ssl_version variable to 11 value. It's possible to restrict to 1.2 version by setting the variable to 12 value.
Clone Of: 1325407
Environment:
Last Closed: 2016-10-04 22:00:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2004 0 normal SHIPPED_LIVE perl-Net-SSLeay enhancement update 2016-10-05 01:59:12 UTC

Description Marcel Kolaja 2016-09-12 12:29:33 UTC
This bug has been copied from bug #1325407 and has been proposed
to be backported to 6.8 z-stream (EUS).

Comment 4 Petr Pisar 2016-09-12 13:11:22 UTC
Test instructions in comment #15 of bug #1325407.

Comment 8 errata-xmlrpc 2016-10-04 22:00:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2004.html


Note You need to log in before you can comment on or make changes to this bug.